package com.ustadmobile.core.db.dao

import com.ustadmobile.lib.db.entities.XObjectEntity
import kotlin.Long
import kotlin.String
import kotlin.Unit

public actual abstract class XObjectDao : BaseDao<XObjectEntity> {
  public actual abstract suspend fun replicateOnNewNode(newNodeId: Long): Unit

  public actual abstract suspend fun replicateOnChange(): Unit

  public actual abstract fun findByObjectId(id: String?): XObjectEntity?

  public actual abstract fun findByXobjectUid(xObjectUid: Long): XObjectEntity?
}
